Skip to main content
Compute Management/Image Storage Related Interfaces/Image Related Interfaces
GETImage Related InterfacesSince SynchronousAuth Required

Query Image

Query Image

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

GET/zstack/v1/images

/zstack/v1/images

Operation ID

QueryImage

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/images' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "actualSize": 7995392, "backupStorageRefs": [ { "backupStorageUuid": "bbc730b63081460198c1c7cb63025255", "createDate": "Mar 10, 2018 2:35:09 PM", "imageUuid": "2402b660b6f1582bb65246597b2f47f2", "installPath": "zstore://2402b660b6f1582bb65246597b2f47f2/2ab567b512cc696f2207cf0e3260baa4982e1c02", "lastOpDate": "Mar 10, 2018 2:35:09 PM", "status": "Ready" } ], "createDate": "Mar 10, 2018 2:35:09 PM", "description": "", "format": "qcow2", "lastOpDate": "Mar 10, 2018 2:35:10 PM", "md5Sum": "f0fde821df71aaec63063bef1fb0a46a231e5a3fbb37ed5671eabee7563eb3f8", "mediaType": "RootVolumeTemplate", "name": "Image-1", "platform": "Linux", "size": 12682240, "state": "Enabled", "status": "Ready", "system": false, "type": "zstack", "url": "file:///opt/zstack-dvd/zstack-image-1.4.qcow2", "uuid": "2402b660b6f1582bb65246597b2f47f2" } ], "success": true }

Change History

This API has no change history records yet.

View all change history